Bug 753833 - hscolour is required but not found error
Summary: hscolour is required but not found error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ghc-rpm-macros
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-14 16:14 UTC by Giam Teck Choon
Modified: 2012-06-15 02:17 UTC (History)
2 users (show)

Fixed In Version: ghc-rpm-macros-0.15.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-15 02:17:06 UTC


Attachments (Terms of Use)

Description Giam Teck Choon 2011-11-14 16:14:51 UTC
Description of problem:

When try to rebuild ghc-QuickCheck-2.1.1.1-1.el6 in mock, it will not compile successfully if hscolour >= 1.8 package is not install.

Partial log as below:

[11 of 12] Compiling Test.QuickCheck.Monadic ( Test/QuickCheck/Monadic.hs, dist/build/Test/QuickCheck/Monadic.dyn_o )
[12 of 12] Compiling Test.QuickCheck  ( Test/QuickCheck.hs, dist/build/Test/QuickCheck.dyn_o )
Registering QuickCheck-2.1.1.1...
+ '[' -x Setup ']'
+ ./Setup haddock --hyperlink-source
Running Haddock for QuickCheck-2.1.1.1...
Preprocessing library QuickCheck-2.1.1.1...
Setup: hscolour version >=1.8 is required but it could not be found.
error: Bad exit status from /var/tmp/rpm-tmp.42heGW (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.42heGW (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/ghc-QuickCheck-2.1.1.1-1.el6.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)


Version-Release number of selected component (if applicable):

ghc-QuickCheck-2.1.1.1-1.el6

Additional info:

I will have to suggest that adding BuildRequires: hscolour >= 1.8 in the spec file to resolve this issue.

Thanks.

Kindest regards,
Giam Teck Choon

Comment 1 Giam Teck Choon 2011-11-14 16:19:53 UTC
There are many more packages hit the same problem of hscolor such as:

ghc-regex-posix-0.94.2-1.el6
ghc-cgi-3001.1.7.3-1.el6
ghc-fgl-5.4.2.3-1.el6
ghc-regex-base-0.93.2-1.el6
ghc-utf8-string-0.3.6-5.el6

Do you need me to list those when I encountered them here or file separately?

Thanks.

Comment 2 Jens Petersen 2011-11-15 09:43:03 UTC
Reproduced - this is due to the updated ghc-rpm-macros in EPEL.

BTW I am curious why do you want to rebuild the EPEL packages?

A workaround for now would probably be to downgrade to ghc-rpm-macros-0.10.52-1.el6 (you might need to fetch that from koji).
http://koji.fedoraproject.org/koji/buildinfo?buildID=234976

The intention was to allow EPEL to be able to build the newer packaging
from Fedora - but mostly we haven't been adding many new packages to EPEL lately.

I suppose I could push an EPEL update disable hscolour for now
if it helps

Comment 3 Fedora Update System 2011-11-17 08:03:32 UTC
ghc-rpm-macros-0.10.61-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.10.61-1.el6

Comment 4 Fedora Update System 2011-11-17 08:03:39 UTC
ghc-rpm-macros-0.10.61-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.10.61-1.fc14

Comment 5 Jens Petersen 2011-11-17 08:04:55 UTC
Fix is also in Rawhide and will flow back to f15 and f16 later
though I think they are less affected by this anyway.

Comment 6 Fedora Update System 2011-11-18 18:40:29 UTC
Package ghc-rpm-macros-0.10.61-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ghc-rpm-macros-0.10.61-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5026/ghc-rpm-macros-0.10.61-1.el6
then log in and leave karma (feedback).

Comment 7 Giam Teck Choon 2011-11-19 14:39:14 UTC
Many thanks again for your prompt assistance.  To answer you about why I need to rebuild EPEL packages... ... this is more for self usage and not all EPEL6 packages I will rebuild but almost though.  There are many road blocks to rebuild EPEL6 packages though such as dependencies loop etc. and from the past I just find my ways to resolve them without reporting but not now.  This is also a very good exercise for me to do such rebuilding.  I feel that it is also good to report bugs/issues if you don't mind so that Fedora community can benefit from those bugs I filed and great upstream support like you can assist to resolve.  Once again, thanks.

Comment 8 Jens Petersen 2011-11-21 07:28:10 UTC
Ok I see - thanks, keep up the good work!

Comment 9 Fedora Update System 2011-12-04 02:48:01 UTC
ghc-rpm-macros-0.10.61-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-01-04 13:07:36 UTC
ghc-rpm-macros-0.15.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.15.2-1.fc15

Comment 11 Fedora Update System 2012-01-04 13:07:45 UTC
ghc-rpm-macros-0.15.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.15.2-1.fc16

Comment 12 Fedora Update System 2012-01-19 21:59:17 UTC
ghc-rpm-macros-0.15.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-01-25 22:25:27 UTC
ghc-rpm-macros-0.15.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-05-10 06:18:48 UTC
ghc-rpm-macros-0.15.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.15.5-1.el6

Comment 15 Fedora Update System 2012-05-26 22:09:11 UTC
Package xmonad-0.10-6.el6, ghc-X11-1.5.0.1-2.el6, ghc-utf8-string-0.3.7-1.el6, ghc-X11-xft-0.3.1-3.el6, hscolour-1.19-6.el6, ghc-rpm-macros-0.15.5-1.el6, haskell-platform-2011.4.0.0-6.el6, ghc-HUnit-1.2.4.2-3.el6, ghc-transformers-0.2.2.0-14.el6, alex-2.3.5-6.el6.2, ghc-7.0.4-46.el6, ghc-deepseq-1.1.0.2-9.el6, ghc-html-1.0.1.2-13.el6.3, ghc-syb-0.3.3-4.el6, ghc-xhtml-3000.2.0.4-3.el6, ghc-stm-2.2.0.1-8.el6.3, ghc-OpenGL-2.2.3.0-12.el6, ghc-mtl-2.0.1.0-10.el6, ghc-GLUT-2.1.2.1-13.el6, ghc-parallel-3.1.0.1-8.el6.3, ghc-text-0.11.1.5-3.el6, ghc-fgl-5.4.2.4-2.el6, ghc-parsec-3.1.1-8.el6, ghc-QuickCheck-2.4.1.1-2.el6, ghc-regex-base-0.93.2-10.el6, happy-1.18.6-8.el6.2, ghc-haskell-src-1.0.1.4-10.el6, ghc-network-2.3.0.5-3.el6, ghc-regex-posix-0.95.1-2.el6, ghc-regex-compat-0.95.1-2.el6, ghc-cgi-3001.1.7.4-11.el6, ghc-HTTP-4000.1.2-4.el6, ghc-zlib-0.5.3.1-8.el6, cabal-install-0.10.2-7.el6, ghc-xmonad-contrib-0.10-4.2.el6, ghc-gtk-0.12.2-2.3.el6, ghc-glade-0.12.1-3.el6, gtk2hs-buildtools-0.12.1-2.el6.2, ghc-glib-0.12.2-2.el6, ghc-cairo-0.12.2-2.el6, ghc-gio-0.12.2-2.el6, ghc-pango-0.12.2-2.el6, ghc-binary-0.5.0.2-10.el6, ghc-mmap-0.5.7-6.el6, ghc-dataenc-0.14-2.el6, ghc-terminfo-0.3.2.3-2.el6, ghc-tar-0.3.2.0-1.el6, ghc-hashed-storage-0.5.7-2.el6, ghc-haskeline-0.6.4.6-3.el6, darcs-2.5.2-9.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing xmonad-0.10-6.el6 ghc-X11-1.5.0.1-2.el6 ghc-utf8-string-0.3.7-1.el6 ghc-X11-xft-0.3.1-3.el6 hscolour-1.19-6.el6 ghc-rpm-macros-0.15.5-1.el6 haskell-platform-2011.4.0.0-6.el6 ghc-HUnit-1.2.4.2-3.el6 ghc-transformers-0.2.2.0-14.el6 alex-2.3.5-6.el6.2 ghc-7.0.4-46.el6 ghc-deepseq-1.1.0.2-9.el6 ghc-html-1.0.1.2-13.el6.3 ghc-syb-0.3.3-4.el6 ghc-xhtml-3000.2.0.4-3.el6 ghc-stm-2.2.0.1-8.el6.3 ghc-OpenGL-2.2.3.0-12.el6 ghc-mtl-2.0.1.0-10.el6 ghc-GLUT-2.1.2.1-13.el6 ghc-parallel-3.1.0.1-8.el6.3 ghc-text-0.11.1.5-3.el6 ghc-fgl-5.4.2.4-2.el6 ghc-parsec-3.1.1-8.el6 ghc-QuickCheck-2.4.1.1-2.el6 ghc-regex-base-0.93.2-10.el6 happy-1.18.6-8.el6.2 ghc-haskell-src-1.0.1.4-10.el6 ghc-network-2.3.0.5-3.el6 ghc-regex-posix-0.95.1-2.el6 ghc-regex-compat-0.95.1-2.el6 ghc-cgi-3001.1.7.4-11.el6 ghc-HTTP-4000.1.2-4.el6 ghc-zlib-0.5.3.1-8.el6 cabal-install-0.10.2-7.el6 ghc-xmonad-contrib-0.10-4.2.el6 ghc-gtk-0.12.2-2.3.el6 ghc-glade-0.12.1-3.el6 gtk2hs-buildtools-0.12.1-2.el6.2 ghc-glib-0.12.2-2.el6 ghc-cairo-0.12.2-2.el6 ghc-gio-0.12.2-2.el6 ghc-pango-0.12.2-2.el6 ghc-binary-0.5.0.2-10.el6 ghc-mmap-0.5.7-6.el6 ghc-dataenc-0.14-2.el6 ghc-terminfo-0.3.2.3-2.el6 ghc-tar-0.3.2.0-1.el6 ghc-hashed-storage-0.5.7-2.el6 ghc-haskeline-0.6.4.6-3.el6 darcs-2.5.2-9.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5980/ghc-7.0.4-46.el6,haskell-platform-2011.4.0.0-6.el6,ghc-rpm-macros-0.15.5-1.el6,hscolour-1.19-6.el6,ghc-HUnit-1.2.4.2-3.el6,ghc-transformers-0.2.2.0-14.el6,alex-2.3.5-6.el6.2,ghc-deepseq-1.1.0.2-9.el6,ghc-html-1.0.1.2-13.el6.3,ghc-syb-0.3.3-4.el6,ghc-xhtml-3000.2.0.4-3.el6,ghc-stm-2.2.0.1-8.el6.3,ghc-OpenGL-2.2.3.0-12.el6,ghc-mtl-2.0.1.0-10.el6,ghc-GLUT-2.1.2.1-13.el6,ghc-parallel-3.1.0.1-8.el6.3,ghc-text-0.11.1.5-3.el6,ghc-fgl-5.4.2.4-2.el6,ghc-parsec-3.1.1-8.el6,ghc-QuickCheck-2.4.1.1-2.el6,ghc-regex-base-0.93.2-10.el6,happy-1.18.6-8.el6.2,ghc-haskell-src-1.0.1.4-10.el6,ghc-network-2.3.0.5-3.el6,ghc-regex-posix-0.95.1-2.el6,ghc-regex-compat-0.95.1-2.el6,ghc-cgi-3001.1.7.4-11.el6,ghc-HTTP-4000.1.2-4.el6,ghc-zlib-0.5.3.1-8.el6,cabal-install-0.10.2-7.el6,xmonad-0.10-6.el6,ghc-X11-1.5.0.1-2.el6,ghc-utf8-string-0.3.7-1.el6,ghc-X11-xft-0.3.1-3.el6,ghc-xmonad-contrib-0.10-4.2.el6,gtk2hs-buildtools-0.12.1-2.el6.2,ghc-glib-0.12.2-2.el6,ghc-cairo-0.12.2-2.el6,ghc-gio-0.12.2-2.el6,ghc-pango-0.12.2-2.el6,ghc-gtk-0.12.2-2.3.el6,ghc-glade-0.12.1-3.el6,ghc-binary-0.5.0.2-10.el6,ghc-mmap-0.5.7-6.el6,ghc-dataenc-0.14-2.el6,ghc-terminfo-0.3.2.3-2.el6,ghc-tar-0.3.2.0-1.el6,ghc-hashed-storage-0.5.7-2.el6,ghc-haskeline-0.6.4.6-3.el6,darcs-2.5.2-9.el6
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-06-15 02:17:06 UTC
ghc-X11-1.5.0.1-2.el6, ghc-utf8-string-0.3.7-1.el6, ghc-X11-xft-0.3.1-3.el6, hscolour-1.19-6.el6, ghc-rpm-macros-0.15.5-1.el6, haskell-platform-2011.4.0.0-6.el6, ghc-HUnit-1.2.4.2-3.el6, ghc-transformers-0.2.2.0-14.el6, alex-2.3.5-6.el6.2, ghc-7.0.4-46.el6, ghc-deepseq-1.1.0.2-9.el6, ghc-html-1.0.1.2-13.el6.3, ghc-syb-0.3.3-4.el6, ghc-xhtml-3000.2.0.4-3.el6, ghc-stm-2.2.0.1-8.el6.3, ghc-OpenGL-2.2.3.0-12.el6, ghc-mtl-2.0.1.0-10.el6, ghc-GLUT-2.1.2.1-13.el6, ghc-parallel-3.1.0.1-8.el6.3, ghc-text-0.11.1.5-3.el6, ghc-fgl-5.4.2.4-2.el6, ghc-parsec-3.1.1-8.el6, ghc-QuickCheck-2.4.1.1-2.el6, ghc-regex-base-0.93.2-10.el6, happy-1.18.6-8.el6.2, ghc-haskell-src-1.0.1.4-10.el6, ghc-network-2.3.0.5-3.el6, ghc-regex-posix-0.95.1-2.el6, ghc-regex-compat-0.95.1-2.el6, ghc-cgi-3001.1.7.4-11.el6, ghc-HTTP-4000.1.2-4.el6, ghc-zlib-0.5.3.1-8.el6, cabal-install-0.10.2-7.el6, ghc-xmonad-contrib-0.10-4.2.el6, ghc-gtk-0.12.2-2.3.el6, ghc-glade-0.12.1-3.el6, gtk2hs-buildtools-0.12.1-2.el6.2, ghc-glib-0.12.2-2.el6, ghc-cairo-0.12.2-2.el6, ghc-gio-0.12.2-2.el6, ghc-pango-0.12.2-2.el6, ghc-binary-0.5.0.2-10.el6, ghc-mmap-0.5.7-6.el6, ghc-dataenc-0.14-2.el6, ghc-terminfo-0.3.2.3-2.el6, ghc-tar-0.3.2.0-1.el6, ghc-hashed-storage-0.5.7-2.el6, ghc-haskeline-0.6.4.6-3.el6, darcs-2.5.2-9.el6, xmonad-0.10-3.4.1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.